package dsuyasov.recognition.rulesModel.labels;

/**
 * @author Dmitriy Suyasov
 *         Date 14.05.2007
 */
public enum LabelType {
    PREDEFINED_SYMBOL,
    CUSTOM_SYMBOL;

    public Labels getLabel() {
        if (this.equals(PREDEFINED_SYMBOL))
            return new PredefinedLabels();
        else if (this.equals(CUSTOM_SYMBOL))
            return new CustomLabels();
        return null;
    }

    public String getTitle() {
        return getLabel().getLocalizationTitle();
    }

}
