package dsuyasov.recognition.ui.helper.panels.cellSettingsPanel;

import dsuyasov.recognition.ui.helper.DrawerIterator;
import dsuyasov.recognition.ui.helper.Drawer;
import dsuyasov.recognition.rulesModel.generators.LabelGenerator;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;

/**
 * @author Dmitriy Suyasov
 *         Date 15.05.2007
 */
public class SymbolGeneratorSelecter extends SelecterPanel{

    public static final String TITLE = Localization.get(Localization.SYMBOL_GENERATOR_TITLE);

    private LabelGenerator labelGenerator;

    public SymbolGeneratorSelecter(JDialog dialog, JPanel parent) {
        super(dialog, parent);
    }

    public void initialize(LabelGenerator labelGenerator) {
        this.labelGenerator = labelGenerator;
        super.initialize();
    }

    public String getTitle() {
        return TITLE;
    }

    public DrawerIterator getDrawerIterator() {
        return new DrawerIterator(LabelGenerator.getDrawers());
    }

    public Drawer getDefault() {
        return labelGenerator;
    }
}
