package dsuyasov.recognition.util;

import java.awt.*;

/**
 * @author Dmitriy Suyasov
 *         Date 16.04.2007
 */
public class DrawUtils {

    public static void drawArrow(Graphics g, int baseXPoint, int baseYPoint, double scale) {
        // Fill x points
        int[] xPoints = new int[7];
        xPoints[0] = baseXPoint;
        xPoints[1] = baseXPoint + (int) Math.round(10*scale);
        xPoints[2] = baseXPoint + (int) Math.round(10*scale);
        xPoints[3] = baseXPoint + (int) Math.round(20*scale);
        xPoints[4] = baseXPoint + (int) Math.round(10*scale);
        xPoints[5] = baseXPoint + (int) Math.round(10*scale);
        xPoints[6] = baseXPoint;

        // Fill y points
        int[] yPoints = new int[7];
        yPoints[0] = baseYPoint;
        yPoints[1] = baseYPoint;
        yPoints[2] = baseYPoint - (int) Math.round(5*scale);
        yPoints[3] = baseYPoint + (int) Math.round(5*scale);
        yPoints[4] = baseYPoint + (int) Math.round(15*scale);
        yPoints[5] = baseYPoint + (int) Math.round(10*scale);
        yPoints[6] = baseYPoint + (int) Math.round(10*scale);

        g.fillPolygon(xPoints, yPoints, 7);
    }

}
