package dsuyasov.recognition.rulesModel.sequence;

import dsuyasov.recognition.rulesModel.MatrixElement;
import dsuyasov.recognition.rulesModel.ProcessResult;

/**
 * @author Dmitriy Suyasov
 */
public abstract class Processable implements SequenceDisplayable {

    public abstract void initialize(AutomataSequence automataSequence);
    public abstract ProcessResult process(MatrixElement[][] source);
    public abstract ProcessResult processStep(MatrixElement[][] source);
    public Integer getNext(int ruleIndex) {
        return ++ruleIndex;
    }
}
